﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

image bg morning1 = "bedroom-1.jpg"
image bg morning2 = "bedroom-2.jpg"
image bg school1 = "school-1.jpg"
image bg school2 = "school-2.jpg"
image bg school3 = "school-3.jpg"
image bg school4 = "school-4.jpg"

image Polly bleh = "3bleh.png"
image Polly face = "3face.png"
image Polly happy = "3happy.png"
image Polly pixel = "3pixel.png"
image Polly smile = "3smile.png"
image Polly surprised = "3surprised.png"

image yui bleh = "2bleh.png"
image yui face = "2face.png"
image yui happy = "2happy.png"
image yui heh = "2heh.png"
image yui surprised = "2surprised.png"

image sawako bleh = "kmeh.png"
image sawako happy = "knormal.png"
image sawako surprised = "ksurprised.png"
image sawako smug = "ksmug.png"

image sakura bleh = "4bleh.png"
image sakura happy = "4happy.png"
image sakura smile = "4smile.png"
image sakura surprised = "4surprised.png"
image sakura ugh = "4ugh.png"


# Declare characters used by this game.
define K = Character('Sawako Kuronuma')
define Player = Character('Me')
define Polly = Character('Polly')
define S = Character('Yui Hirasawa')
define T = Character('Sakura Chiyo')

# The game starts here.
label start:
    $ unread_senpai = True
    $ unread_san = True
    $ unread_chan = True

    scene bg morning1

    centered "The Polyglottic Language-Operator Translation Device has been in development since late 2016."
    centered "The device, according to its design protocols, can take any spoken languages it knows, and seamlessly translate them into the native language of the listener. There are kinks - but it’s in its alpha production."
    centered "Your parents have been working hard on the Shared Secret protocol, and the time dealing with linguists communicating between Australia and Japan has slowed the work. It was time to push the tech to the next level. It was time to put the Device through an Alpha Test."
    centered "This is why you’ve got one."
    centered "After all, you’re still in high school - you can’t exactly be expected to interrupt your study."
    centered "Since you don’t speak Japanese, this will be a perfect opportunity. They’re confident the translator will work for ninety-nine percent of domestic conversations you could have with your classmates, and ease your immersion until you learn the language yourself."
    centered "And so dawns on your first day of a new school"

    scene bg morning2
    with dissolve

    "'Alarm'" "{i}{b}ohayo{/b}!! It’s Seven AM! {b}ohayo{/b}!!{/i}"
    show Polly pixel
    with dissolve
    Polly "{i}initialising...{/i}"
    show Polly smile
    with dissolve
    Polly "Hello there! I’m the front-end for your {b}P{/b}olyglottic {b}L{/b}anguage-{b}O{/b}perator {b}T{/b}ranslation Device, and I just woke up because I heard one of my key languages being spoken!"
    Polly "Do you need a tutorial on what I’m here and what I do?"
    show Polly happy
    with dissolve
    menu:
        "uhhhh":
            Player "{nw}"
        "ummm":
            Player "{nw}"
        "whaaah-":
            Player "{nw}"
    Player "{cps=4}...{/cps}Do you have my class schedule?"
    show Polly bleh
    Polly "I’m not exactly about to organise your classwork for you"
    Polly "I mean I’m a cute AI translator front-end."
    Polly "I'm not your calendar app. Hmph. I'm sure you can find THAT on your PHONE."
    hide Polly happy
    with dissolve
    Player "Oof."
    Player "Good morning, world. I wasn’t exactly expecting a chatty robot first thing in the morning."
    Player "Oh, the alarm. Hfm. Parents must have already gone to work. Blech. Okay okay. Breakfast, stuff, clothes, stuff, uh. Some other stuff."

    scene bg school1
    with fade
    Player "{cps=4}That...   {/cps}{nw}"
    scene bg school2
    with dissolve
    Player "That...{cps=4}was   {/cps}{nw}"
    scene bg school3
    with dissolve
    Player "That... was a lot easier than I expected?"
    Player "I mean I kind of figured there’d be compliactions and I’d be late and I’d have to run for the bus or train with toast in my mouth. That is how that gets done in these parts, right?"
    Player "Also finding class was easy. There’s an app to locate classroom by my student number, and it even assigns me my desk. It’s pretty weird - back in Australia, class is much more, ah, laissez-faire?"
    show Polly bleh
    Polly "That’s French. Sorry, I’m not fluent."
    Player "Thanks."
    hide Polly bleh
    Player "Point is… nothing’s gone wrong. Nothing’s weird. I kinda -"
    Player "I guess I kinda just wasn’t expecting it to be like a school. I - I mean, not like my school. Mostly it seems like people just want to get stuff done and move on to the next period. "
    Player "They didn’t even have me introduce myself at the start of the class - I really expected they’d do that. "
    Player "...Come to think of it, how do they know who I even am. Still, it’s time for lunch, all I really have to do is watch what everyone else does, maybe listen - the translator should take care of everything for me."
    K "Hello, Transfer-san!"
    show sawako happy
    Player "Oh, hi there! Um-"
    S "Kuronuma-chan~! Whatcha doing?"
    show yui happy at right
    K "Yui-chan! I was just introducing myself to Transfer-san, before you rudely interrupted."
    S "Ohhhh, I’m sorry! Hi there, Transfer-san! This is Sawako Kuronoma-chan, the cute and beautiful friend of the even cuter and more beautiful Yui Hirasawa-chan!"
    Player "Uh I-"
    K "You’re being a bit aggressive, you know"
    show yui heh at right
    S "Oh no! I’m sorry. I didn’t mean to be. But you have to admit, I am very cute. It’s okay, transfer-san, you don’t have to make a point of it. That would be rude."
    Player "Can I- uh, can I ask a question?"
    show yui bleh at right
    show sawako happy
    "Both" "Hmm? What?"
    Player    "Sorry, but I’m using a translator to talk to you?"
    K    "Yes, we can tell. You sound very formal. It’s interesting. "
    show yui happy at right
    S    "You sound like my grandfather."
    Player    "But it’s not - it doesn’t seem like it’s working properly?"
    K    "What do you mean?"
    Player    "Give me a moment to talk to my translator?"
    "Both"    "That’s fine."
    hide sawako happy
    hide yui happy
    show Polly happy
    Polly    "Is something wrong? "
    Player    "They’re saying things and they’re not translating"
    Polly    "I am translating all the language it’s possible to translate. I am quite confident in that."
    Player    "But they’re - the things like -san and -chan?"
    show Polly face
    Polly    "… Not translateable, I’m afraid"
    Player    "What do you mean not translateable?"
    hide Polly face
    show sawako happy
    show yui happy at right
    K    "Is something wrong? "
    S    "Oh, it’s translation issues? Hey - Hey, Chiyo-senpai!"
    show sawako happy at left
    with move
    show sawako smug at left
    K    "You would find a way to call over your senpai"
    show yui heh at right
    show sawako happy at left
    show sakura happy 
    S    "Hey! Be nice. "
    show yui face at right
    T    "Ah. Kuronoma-san. Hirasawa-kouhai. Transfer-san."
    show sawako smug at left
    K    "Well hi there, Chiyo-san, Transfer-san here is having problems with a translating word. Your english is pretty good, right?"
    show sawako happy at left
    T    "Well, high in the class"
    S    "Chiyo-senpai is helping me bring up my grades!"
    show sawako smug at left
    K    "I bet."
    S    "Hey!"
    show sawako happy
    K    "So what is it, Transfer-san? What word is the machine not translating properly?"
    Player    "It’s a couple, actually..."
    "All"    "{cps=4}...{/cps}{nw}"
    show yui surprised at right
    show sawako surprised at left
    show sakura surprised
    S    "...That’s just a-well."
    show yui happy at right
    show sawako happy at left
    show sakura smile
    T    "They’re honorifics. English doesn’t have them."
    K    "Sure it does. It has words like ‘Mister.’"
    T    "Those are titles. It’s not really the same thing."
    K    "Eh? How are they different?"
    T    "A title is sort of the same everywhere. An honorific shows something of how you perceive your relationship with someone."
    Player    "I don’t really understand them."
    call choices
    T    "That’s pretty good."
    T    "There’s also one more you’ll hear soon, which is for teachers and educators, people in positions of authority over you? You just be sure to address your teachers with-"
    S    "Sensei!"
    T    "Yes, Sensei-"
    S    "No, no, Sensei’s coming! We need to get back to the classroom!"
    show sawako surprised at left
    show sakura surprised
    show yui surprised at right
    K    "Oh, uh -"
    scene bg school4
    with dissolve
    centered    "It was a simple little lesson, told by an equal."
    centered    "But it will prove vital for the future of {b}transfer-san{/b}..."
    centered    "to be continued\n\n\n{w=1.0}...not really{w}\n\n\ntransfer-san - by {a=http://twitter.com/Grifflon916}Grifflon{/a} and {a=http://twitter.com/Talen_Lee}Talen{/a}{w}{w}{w}{w}{w}"
    show Polly happy 
    with dissolve
    Polly       "... you still here?"
    Polly       "... So hey! You may have noticed some weirdness, if you're big into Japanese and know how the language works."
    Polly       "That's... my fault."
    Polly       "See, the point of this story is the specific, untranslateable elements represented by honorifics."
    Polly       "In order to focus on that, we ignored a TON OF OTHER STUFF."
    Polly       "Like you noticed how the girls sometimes used surnames and sometimes used first names?"
    Polly       "And the way that the -chan jumped to different parts of the name?"
    Polly       "That's because to the speakers, nothing sounded weird, and to you, the English-speaking player, {b}I{/b} was rearranging stuff."
    Polly       "There's a ton of stuff in linguistics that relates to this, like sentence structure or implied meaning."
    Polly       "I mean, I'm total sci-fi nonsense. Anyway, if you saw an error in the translation...\n\n{w}... It's basically my fault."
    show Polly surprised        "Sorry!"

menu choices:
    T    "Well, okay - which have you heard?"
    "Senpai" if unread_senpai:
        call senpai
        jump choices
    "Kouhai" if unread_senpai:
        call senpai
        jump choices
    "San" if unread_san:
        call san
        jump choices
    "Chan" if unread_chan:
        call chan
        jump choices
return

label senpai:
    $ unread_senpai = False
    T    "Oh, okay, that was when Hirasawa-kouhai spoke to me?"
    Player    "Yeah"
    T    "Senpai is a way you can signify someone in a position of respect to you, but closer. It’s sort of a degree of respect?"
    T    "Usually it means someone older than you - most of us who are close to a girl in an upper class will refer to her as -senpai, for example."
    Player    "And Yui said it?"
    show sawako smug at left
    K    "{cps=15}Because she has a crus{/cps}{nw}"
    show sawako happy at left
    T    "Because I help her with her English study."
    S    "And that’s why I’m Chiyo-senpai’s kouhai - that’s a way someone can speak to you in a way that says they see themselves as your senpai."
    Player    "So it’s not just an issue of, like, role?"
    T    "No, not at all."
    K    "It’s - uh, how to explain."
    T    "It’s about what you want to tell people without saying it. When Hirasawa-kouhai calls me Chiyo-senpai, she is showing me respect, but also showing you that she respects me, despite our similar age."
    show yui heh at right
    K    "What else?"
    show yui happy
    return
    
label san:
    $ unread_san = False
    K    "Oh this one’s easy. It’s just really neutral. I mean, it’s what you’ve been saying to us all along."
    Player    "I have been?"
    S    "Yeah! You come across as kind of rude, but hey."
    Player    "Oh, is that strange?"
    S    "Well, like, it’s kind of - distancing? When you tell people that, you’re kind of saying ‘we aren’t very close.’"
    return

label chan:
    $ unread_chan = False
    S    "It’s the cutest one!"
    K    "That’s not helpful, you know."
    S    "But like, it’s hard to explaaaain."
    T    "Let me try, Hirasawa-kouhai."
    T    "-Chan is sort of… it’s cute. It’s feminine and cute, and so we often use it to refer to young women. But we also use it to refer to children?"
    S    "It’s not - the rules aren’t as hard and fast?"
    K    "Yeah, just like, when you use it, it’s diminutive. It implies the person you’re talking to is small and cute."
    show yui face at right
    S    "Like me!"
    show yui happy at right
    return
    
    